$(document).ready(function() {
    $('#tblBebidas').DataTable({        
        language: {
            "url": "/files/newJS/datatables/Spanish.json",
        },     
        pageLength : 50, 
        responsive: true,//responsivo activado
        scrollCollapse: true,//colapso del scroll 
        autoWidth: false,//cambio del ancho de celdas desactivado
        columnDefs: [
            { className: "dt-left", "targets": [1] },
            { className: "dt-right", "targets": [2] },
            { className: "dt-center", "targets": [3] },
            { responsivePriority: 1, targets: 1 },//mostrar columna clientes 
            { responsivePriority: 2, targets: 2},//mostrar columna estado
        ],
    })  

    $('#modalBuscarBebidas').on('shown.bs.modal', function (e) {
        //$('#tblBebidas_filter').children(0).children(0).focus();
    })
})
 
function buscarBebidas2() {    
    $('#modalBuscarBebidas').modal('show')
}

$(document).on('keydown','body', function(event){
    if(event.which == 27){
        $('#txtCerrar').click();
         $("#cboDistrito").empty().append();
      //  $('#cboDistrito').remove();

    }
});



$(document).on('click', '#txtCerrar', function(){
 $('#modal-escoger').modal('hide');
  $("#cboDistrito").empty().append();
// $('#cboDistrito').remove();

});

$(document).on('click', '#txtdis', function(){

 // Bebida2Segundo2_Click(ART_Codigo, ART_Descripcion, ART_Precio1, ART_Codigo2, platos, vendidos, estaprogramado);
var ART_Codigo= $('#txtc').val();
var ART_Descripcion = $('#txtd').val();
var ART_Precio1=$('#txtp1').val();
var ART_Codigo2= $('#txtp2').val();
var platos = $('#txtpl').val();
var vendidos= $('#txtv').val();
var estaprogramado = $('#txtpr').val();
var estadobebida= $('#cboDistrito').val();


 //alert(estadobebida);

    platos = parseInt(platos)
    vendidos = parseInt(vendidos)
    if (estaprogramado == 'SI') {
        if (platos - vendidos <= 0) {
            swal({
                title: 'ADVERTENCIA',
                text: 'EL PLATO ' + ART_Descripcion + " SE ENCUENTRA AGOTADO",
                timer: 2500
            })
            return
        }
    }

    var _ART_CodigoTABLA = ''
    var ART_DescripcionTABLA = ''
    var segundo =''
    var _Cantidad = 0
    var _Stock = 0
    var _Precio = 0

    var pos = -1
    var table = document.getElementById('tblPedido');
    for (i = 1; i < table.rows.length; i++) {
        if (table.rows[i].style.display != 'none') {

            var fila = $(table.rows[i])
            _ART_CodigoTABLA = table.rows[i].cells[0].innerText
            _Cantidad = table.rows[i].cells[1].innerText
         
            _ART_DescripcionTABLA = table.rows[i].cells[2].innerText
            _Precio = table.rows[i].cells[3].innerText
            _Stock = table.rows[i].cells[7].innerText

            if (_ART_CodigoTABLA == ART_Codigo && _ART_DescripcionTABLA == ART_Descripcion) {
                pos = i
                break
            }
        }
    }

    if (pos != -1) {
        _Cantidad = parseFloat(_Cantidad)
        _Stock = parseInt(_Stock)
        _Cantidad += 1

        if (estaprogramado == 'SI') {
            if (_Stock - 1 < 0) {
                var msj = 'CANTIDAD DE PLATOS LIBRES DE ' + ART_Descripcion + ': ' + _Stock
                if (_Stock < 0) {
                    msj = 'EL PLATO ' + ART_Descripcion + ' SE ENCUENTRA AGOTADO'
                }

                swal({
                    title: 'ADVERTENCIA',
                    text: msj,
                    timer: 2500
                })
                return
            }
            _Stock -= 1
        }

        table.rows[pos].cells[1].innerText = _Cantidad
        table.rows[pos].cells[7].innerText = _Stock
        table.rows[pos].cells[4].innerText = _Cantidad * ART_Precio1

    } else {
        var _MeQuedan = parseInt(platos) - parseInt(vendidos)

        if (estadobebida === null || estadobebida == "") 
            {
            if (estaprogramado == 'SI') _MeQuedan -= 1

        var fila = '<tr style="cursor: pointer" estaprogramado="' + estaprogramado + '" codigo="' + ART_Codigo + '" codigoacompanante="' + ART_Codigo2 + '" eliminar="SI"> ' +

            '<td hidden>' + ART_Codigo + '</td>' + //0
            '<td>' + 1 + '</td> ' + //1
            '<td>' + ART_Descripcion + '</td> ' + //2
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //3
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //4
            '<td hidden>-</td>' + //5
            '<td hidden>' + ART_Descripcion + '</td>' + //6
            '<td class="text-center" hidden>' + _MeQuedan + '</td> ' + //7
            '<td hidden>' + estaprogramado + '</td>' + //8

            '</tr> '
        $('#tblPedido').append(fila)
            }
            else
            {
               // alert(estadobebida);
           if (estaprogramado == 'SI') _MeQuedan -= 1

        var fila = '<tr style="cursor: pointer" estaprogramado="' + estaprogramado + '" codigo="' + ART_Codigo + '" codigoacompanante="' + ART_Codigo2 + '" eliminar="SI"> ' +

            '<td hidden>' + ART_Codigo + '</td>' + //0
            '<td>' + 1 + '</td> ' + //1
            '<td>' + ART_Descripcion + " " + estadobebida +'</td> ' + //2
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //3
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //4
            '<td hidden>-</td>' + //5
            '<td hidden>' + ART_Descripcion + '</td>' + //6
            '<td class="text-center" hidden>' + _MeQuedan + '</td> ' + //7
            '<td hidden>' + estaprogramado + '</td>' + //8

            '</tr> '
        $('#tblPedido').append(fila)
            }


        
    }

    $("#tblPedido tr").click(function () {
        $(this).addClass('selected').siblings().removeClass('selected');
        filaSeleccionada = $(this)
    });

    calcularTotal()    
    $('#modalBuscarBebidas').modal('hide')    
    $('#modalPlatosCategorias').modal('hide')  
 $('#modal-escoger').modal('hide')
 $("#cboDistrito").empty().append();
});


function Bebida2segundo_Click(ART_Codigo, ART_Descripcion, ART_Precio1, ART_Codigo2, platos, vendidos, estaprogramado) 
{    
      $('#modalPlatosCategorias').modal('hide')


 platos = parseInt(platos)
    vendidos = parseInt(vendidos)
    if (estaprogramado == 'SI') {
        if (platos - vendidos <= 0) {
            swal({
                title: 'ADVERTENCIA',
                text: 'EL PLATO ' + ART_Descripcion + " SE ENCUENTRA AGOTADO",
                timer: 2500
            })
            return
        }
    }

    var _ART_CodigoTABLA = ''
    var ART_DescripcionTABLA = ''
    var segundo =''
    var _Cantidad = 0
    var _Stock = 0
    var _Precio = 0

    var pos = -1
    var table = document.getElementById('tblPedido');
    for (i = 1; i < table.rows.length; i++) {
        if (table.rows[i].style.display != 'none') {

            var fila = $(table.rows[i])
            _ART_CodigoTABLA = table.rows[i].cells[0].innerText
            _Cantidad = table.rows[i].cells[1].innerText
         
            _ART_DescripcionTABLA = table.rows[i].cells[2].innerText
            _Precio = table.rows[i].cells[3].innerText
            _Stock = table.rows[i].cells[7].innerText

            if (_ART_CodigoTABLA == ART_Codigo && _ART_DescripcionTABLA == ART_Descripcion) {
                pos = i
                break
            }
        }
    }

    if (pos != -1) {
        _Cantidad = parseFloat(_Cantidad)
        _Stock = parseInt(_Stock)
        _Cantidad += 1

        if (estaprogramado == 'SI') {
            if (_Stock - 1 < 0) {
                var msj = 'CANTIDAD DE PLATOS LIBRES DE ' + ART_Descripcion + ': ' + _Stock
                if (_Stock < 0) {
                    msj = 'EL PLATO ' + ART_Descripcion + ' SE ENCUENTRA AGOTADO'
                }

                swal({
                    title: 'ADVERTENCIA',
                    text: msj,
                    timer: 2500
                })
                return
            }
            _Stock -= 1
        }

        table.rows[pos].cells[1].innerText = _Cantidad
        table.rows[pos].cells[7].innerText = _Stock
        table.rows[pos].cells[4].innerText = _Cantidad * ART_Precio1

    } else {
        var _MeQuedan = parseInt(platos) - parseInt(vendidos)

    
            if (estaprogramado == 'SI') _MeQuedan -= 1

        var fila = '<tr style="cursor: pointer" estaprogramado="' + estaprogramado + '" codigo="' + ART_Codigo + '" codigoacompanante="' + ART_Codigo2 + '" eliminar="SI"> ' +

            '<td hidden>' + ART_Codigo + '</td>' + //0
            '<td>' + 1 + '</td> ' + //1
            '<td>' + ART_Descripcion + '</td> ' + //2
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //3
            '<td class="text-right">' + ART_Precio1 + '</td> ' + //4
            '<td hidden>-</td>' + //5
            '<td hidden>' + ART_Descripcion + '</td>' + //6
            '<td class="text-center" hidden>' + _MeQuedan + '</td> ' + //7
            '<td hidden>' + estaprogramado + '</td>' + //8

            '</tr> '
        $('#tblPedido').append(fila)
            


        
    }

    $("#tblPedido tr").click(function () {
        $(this).addClass('selected').siblings().removeClass('selected');
        filaSeleccionada = $(this)
    });

    calcularTotal()    
    $('#modalBuscarBebidas').modal('hide')    
    $('#modalPlatosCategorias').modal('hide')  
 //$('#modal-escoger').modal('hide')
 //$("#cboDistrito").empty().append();






}
  


function Bebida2_Click(ART_Codigo, ART_Descripcion, ART_Precio1, ART_Codigo2, platos, vendidos, estaprogramado,ART_EB1,ART_EB2,ART_EB3) 
{    
    //$('#cboDistrito').remove();
      $('#modalPlatosCategorias').modal('hide')
$('#txtc').val(ART_Codigo);
$('#txtd').val(ART_Descripcion);
$('#txtp1').val(ART_Precio1);
$('#txtp2').val(ART_Codigo2); 
$('#txtpl').val(platos);
$('#txtv').val(vendidos); 
$('#txtpr').val(estaprogramado);

if ($.trim(ART_EB1).length == 0 || ART_EB1=="null" && $.trim(ART_EB2).length == 0 || ART_EB2=="null"  && $.trim(ART_EB3).length == 0 || ART_EB3=="null"  ) 
{
$('#cboDistrito').hide();
$('#txtlabelSeleccionar').hide();
}
else
{

}

if ($.trim(ART_EB1).length == 0 || ART_EB1=="NULL" ) {


}
else
{
$('#cboDistrito').show();
$('#txtlabelSeleccionar').show();
$('#cboDistrito').append('<option value="'+ART_EB1+'">'+ ART_EB1 +'</option>');


}


if ($.trim(ART_EB2).length == 0 || ART_EB2=="NULL") {

}
else
{
 $('#cboDistrito').show();
$('#txtlabelSeleccionar').show(); 
    $('#cboDistrito').append('<option value="'+ART_EB2+'">'+ ART_EB2 +'</option>');
    
}

if ($.trim(ART_EB3).length == 0 || ART_EB3=="NULL") {

}
else
{
    $('#cboDistrito').show();
$('#txtlabelSeleccionar').show();
    $('#cboDistrito').append('<option value="'+ART_EB3+'">'+ ART_EB3 +'</option>');
 
}


   $('#modal-escoger').modal({backdrop: 'static', keyboard: false});


}
 